Summary: SSL-encrypting socket wrapper.
Name: stunnel
Version: 3.22
Release: 1
Group: Applications/Internet
Copyright: GPL
URL: http://stunnel.mirt.net/ 
Packager: Hao Li <hli@haoli.org>
Source: ftp://stunnel.mirt.net/stunnel/stunnel-%{version}.tar.gz
BuildPrereq: openssl-devel
Requires: openssl
Buildroot: /var/tmp/%{name}-root

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
        --prefix=/usr \
	--localstatedir=/var/run \
        --with-pem-dir=/etc/ssl/certs \
        --with-cert-file=/etc/ssl/certs/stunnel.pem
make stunnel stunnel.so stunnel.8


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,lib,man/man8}
install -m755 stunnel    $RPM_BUILD_ROOT/usr/sbin
install -m755 stunnel.so $RPM_BUILD_ROOT/usr/lib
install -m644 stunnel.8  $RPM_BUILD_ROOT/usr/man/man8
install -m1777 -d        $RPM_BUILD_ROOT/var/run/stunnel

%post
/sbin/ldconfig
echo "To generate a self signed certificate, execute the following commands:"
echo ""
echo ""
echo "cd /etc/ssl/certs"
echo "openssl req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem"
echo "ln -s server.pem \`openssl x509 -noout -hash < server.pem\`.0" 
echo "chmod 644 server.pem"
echo ""

%postun
/sbin/ldconfig
if [ -r /etc/ssl/certs/server.pem ]; then
	echo "You may wish to remove the stunnel certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f /etc/ssl/certs/`openssl x509 -noout -hash < /etc/ssl/certs/server.pem`.0"
	echo "rm -f /etc/ssl/certs/server.pem"
	echo ""
fi


%files
%defattr(-,root,root)
%doc BUGS COPY* CREDITS FAQ HISTORY INSTALL* PORTS README TODO
%doc ca.html ca.pl importCA.html importCA.sh stunnel.cnf stunnel.html
/usr/lib/*
/usr/man/man*/*
/usr/sbin/*
/var/run/stunnel


%clean
rm -rf $RPM_BUILD_ROOT

